Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.sql
Class Delete

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.sql.SQLStatement
            |
            +--com.solarmetric.kodo.impl.jdbc.sql.NonSelectingSQL
                  |
                  +--com.solarmetric.kodo.impl.jdbc.sql.Delete

public class Delete
extends NonSelectingSQL

Abstraction of a SQL DELETE statement.

Constructor Summary
`Delete(DBDictionary dict, ClassResolver resolver)`
`Delete(Delete copy, ClassResolver resolver)`

Method Summary
`SQLBuffer` | `getSQLBuffer()` Return the SQLBuffer to be used for exeucting the statement;

Methods inherited from class com.solarmetric.kodo.impl.jdbc.sql.SQLStatement
`and, clear, clearTable, clearWhere, getClassResolver, getDictionary, getTables, getWhere, isValid, not, or, toString, where, where, where, where, where, where, where, where, where, where`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Delete

    public Delete(DBDictionary dict,
                  ClassResolver resolver)

### Delete

    public Delete(Delete copy,
                  ClassResolver resolver)

Method Detail

### getSQLBuffer

    public SQLBuffer getSQLBuffer()

  Description copied from class: `SQLStatement`
  Return the SQLBuffer to be used for exeucting the statement;
  Overrides:
    `getSQLBuffer` in class `SQLStatement`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.